Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos
Class RauditxMessageHeader

    java.lang.Object
      com.ibm.jzos.RauditxMessageHeader

    public class RauditxMessageHeader

extends java.lang.Object

Field Summary
`protected byte[]` | `_byteBuffer`
`static int` | `_DEFAULT_LEN`
`static ByteArrayField` | `ADDR` ADDR DS XL8 END
`protected static AssemblerDatatypeFactory` | `factory`
`static BinaryAsIntField` | `LEN` LEN DS F
`static int` | `RAUDITX_MSG` RAUDITX_MSG DSECT
`static BinaryAsIntField` | `RESERVED` RESERVED DS F

Constructor Summary
`RauditxMessageHeader()`
`RauditxMessageHeader(byte[] buffer)`

Method Summary
`byte[]` | `getAddr()`
`byte[]` | `getByteBuffer()`
`int` | `getLen()`
`int` | `getReserved()`
`void` | `setAddr(byte[] addr)`
`void` | `setLen(int len)`
`void` | `setReserved(int reserved)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factory

    protected static AssemblerDatatypeFactory factory

### RAUDITX_MSG

    public static final int RAUDITX_MSG

              RAUDITX_MSG DSECT

### RESERVED

    public static BinaryAsIntField RESERVED

              RESERVED  DS   F

### LEN

    public static BinaryAsIntField LEN

              LEN       DS   F

### ADDR

    public static ByteArrayField ADDR

              ADDR      DS   XL8
                        END

### _DEFAULT_LEN

    public static final int _DEFAULT_LEN

### _byteBuffer

    protected byte[] _byteBuffer

Constructor Detail

### RauditxMessageHeader

    public RauditxMessageHeader()

### RauditxMessageHeader

    public RauditxMessageHeader(byte[] buffer)

Method Detail

### getByteBuffer

    public byte[] getByteBuffer()

### getReserved

    public int getReserved()

### setReserved

    public void setReserved(int reserved)

### getLen

    public int getLen()

### setLen

    public void setLen(int len)

### getAddr

    public byte[] getAddr()

### setAddr

    public void setAddr(byte[] addr)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD